[Buildroot] [PATCH 1/1] dependencies: Reject gcj in BR2_NEEDS_HOST_JAVA check

Bernd Kuhls bernd.kuhls at t-online.de
Sat Aug 16 09:42:32 UTC 2014


"Yann E. MORIN" <yann.morin.1998 at free.fr> wrote in 
news:20140813212312.GI3939 at free.fr:

> check_prog_host already calls 'which $1' so we're sure we can call 'java'.

Hi,

ok, I am going to send v2 with your suggestion added, but I would like to 
keep the $JAVA_GCJ part to have a nicer looking error message, examples:

gij (GNU libgcj) version 4.7.2 is not sufficient to compile your package 
selection.
Please install an OpenJDK/IcedTea/Oracle Java.

gij (GNU libgcj) version 4.6.3 is not sufficient to compile your package 
selection.
Please install an OpenJDK/IcedTea/Oracle Java.

Regards, Bernd




More information about the buildroot mailing list